Bug 851988 - GError: Unknown internal child: selection
GError: Unknown internal child: selection
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 04:49 EDT by Alexander Bienzeisler
Modified: 2012-11-27 11:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 11:21:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Bienzeisler 2012-08-27 04:49:56 EDT
Description of problem:

GError: Unknown internal child: selection
in most UI files

http://paste.pound-python.org/show/25257/

Version-Release number of selected component (if applicable):

0.9.4-1 (latest git)

How reproducible:

I just got it by starting virt-manager

Steps to Reproduce:
1. start virt-manager
2. error popup with the above message
3. have to close
  
Actual results:

virt-manager does not launch

Expected results:

should launch obviously

Additional info:

I was able to launch virt-manager by editing the problematic child internal parts out of the .ui files - but that doesn't seem to be a good solution. What's the issue here?
Comment 1 Cole Robinson 2012-08-29 12:29:17 EDT
What distro is this? Also, please provide pygtk, gtk, and libglade versions. Full --debug output of virt-manager might help
Comment 2 Alexander Bienzeisler 2012-08-29 12:37:35 EDT
this is debian squeeze, debug output does not differ from the pasted one in the initial report


2012-08-29 18:01:38,984 (error:80): dialog message: Error launching hardware dialog: Unknown internal child: selection : Error launching hardware dialog: Unknown internal child: selection

Traceback (most recent call last):
  File "/usr/local/share/virt-manager/virtManager/details.py", line 1499, in add_hardware
    self.addhw = vmmAddHardware(self.vm)
  File "/usr/local/share/virt-manager/virtManager/addhardware.py", line 74, in __init__
    "vmm-add-hardware.ui", "vmm-add-hardware")
  File "/usr/local/share/virt-manager/virtManager/baseclass.py", line 240, in __init__
    util.sanitize_gtkbuilder(self.uifile))
GError: Unknown internal child: selection
Comment 3 Cole Robinson 2012-10-14 22:59:51 EDT
What version of gtk2, pygtk does squeeze have? Also, what's the native virt-manager version for squeeze?

Note You need to log in before you can comment on or make changes to this bug.